aboutsummaryrefslogtreecommitdiff
path: root/config/polybar/panels/scripts/launcher.sh
diff options
context:
space:
mode:
authorAnhgelus Morhtuuzh <anhgelus.morhtuuzh@gmx.com>2023-07-25 23:46:05 +0200
committerAnhgelus Morhtuuzh <anhgelus.morhtuuzh@gmx.com>2023-07-25 23:46:05 +0200
commitc57e8ab185623510e527400a34d729b313daffc4 (patch)
tree7b67d44894255ce4810d8074d68fce88f66d37d0 /config/polybar/panels/scripts/launcher.sh
parent9f004955033387eebf3f58aec2501fba5020f307 (diff)
feat(polybar): update polybar style
Diffstat (limited to 'config/polybar/panels/scripts/launcher.sh')
-rwxr-xr-xconfig/polybar/panels/scripts/launcher.sh64
1 files changed, 64 insertions, 0 deletions
diff --git a/config/polybar/panels/scripts/launcher.sh b/config/polybar/panels/scripts/launcher.sh
new file mode 100755
index 0000000..2d4ac1b
--- /dev/null
+++ b/config/polybar/panels/scripts/launcher.sh
@@ -0,0 +1,64 @@
+#!/usr/bin/env bash
+
+DIR="$HOME/.config/polybar/panels/menu"
+
+launcher() {
+ rofi -no-config -no-lazy-grab -show drun -modi drun -theme "$DIR"/"$theme"/launcher.rasi
+}
+
+if [[ "$1" = "--budgie" ]]; then
+ theme="budgie"
+ launcher
+
+elif [[ "$1" = "--deepin" ]]; then
+ theme="deepin"
+ launcher
+
+elif [[ "$1" = "--elight" ]]; then
+ theme="elementary"
+ launcher
+
+elif [[ "$1" = "--edark" ]]; then
+ theme="elementary_dark"
+ launcher
+
+elif [[ "$1" = "--gnome" ]]; then
+ theme="gnome"
+ launcher
+
+elif [[ "$1" = "--klight" ]]; then
+ theme="kde"
+ launcher
+
+elif [[ "$1" = "--kdark" ]]; then
+ theme="kde_dark"
+ launcher
+
+elif [[ "$1" = "--liri" ]]; then
+ theme="liri"
+ launcher
+
+elif [[ "$1" = "--mint" ]]; then
+ theme="mint"
+ launcher
+
+elif [[ "$1" = "--ugnome" ]]; then
+ theme="ubuntu_gnome"
+ launcher
+
+elif [[ "$1" = "--unity" ]]; then
+ theme="ubuntu_unity"
+ launcher
+
+elif [[ "$1" = "--xubuntu" ]]; then
+ theme="xubuntu"
+ launcher
+
+elif [[ "$1" = "--zorin" ]]; then
+ theme="zorin"
+ launcher
+
+else
+ rofi -e "No theme specified."
+ exit 1
+fi